
<section class="h-screen p-8">
  <div class="content-header">
    <h1 class="title text-3xl md:text-5xl lg:text-6xl">
      speaker
    </h1>
    <p class="px-2 text-2xl md:px md:text-3xl-10 lg:px-20 lg:text-4xl subtitle">
      Participa como conferencista, llena el formulario proponiendo el tema de tu conferencia y el horario de disponibilidad para realizarla.
    </p>
    <div class="py-2 flex justify-center">
      <a class="flex justify-center group relative h-8 w-32 md:h-10 md:w-40 lg:h-12 lg:w-48 overflow-hidden bg-white border border-own_cyan border-2" style="border-radius: 55px" target="_blank" rel="noopener noreferrer" >
        <div class="absolute inset-0 w-0 bg-own_cyan transition-all duration-[250ms] ease-out group-hover:w-full" id="spanTransition"></div>
          <span class="relative text-own_cyan text-xl md:text-2xl lg:text-3xl group-hover:text-white" id="button-text" (click)="openSeakerForm()">Incríbete</span>
      </a>
    </div>
  </div>
  <div class="max-h-[60vh] overflow-y-auto grid grid-cols-1 md:grid-cols-2 md:gap-10 lg:grid-cols-3 lg:gap-22 ">
    <!-- generacion de cards -->
    <div class="group relative m-6 p-6 md:p-6 md:m-0 lg:p-6 lg:m-0 bg-transparent rounded-lg max-w-xs md:max-w-none overflow-hidden hover:bg-white hover:shadow-lg" *ngFor="let speaker of speakers">
      <div class="text-black bg-white bg-opacity-0 hover:bg-opacity-100 hover:text-own_cyan">
        <div class="flex items-center justify-center pb-4">
          <img [src]="'https://strapi.glud.org'+ speaker.attributes.image.data.attributes.url" alt="" class="w-24 h-24 rounded-full border-2 border-own_cyan">
        </div>
        <h2 class="text-center nameSpeaker font-bold">
          {{speaker.attributes.name}}
        </h2>
        <p class="text-center infoSpeaker p-4 max-h-[24vh] overflow-y-auto ">
          {{speaker.attributes.degree}}
        </p>
        <div class="absolute bottom-0 right-0 md:bottom-6 md:right-5 lg:bottom-6 lg:right-5 lg:opacity-0 group-hover:opacity-100">
          <div *ngFor="let social_network of speaker.attributes.socialNetworks">
            <a [href]="social_network.url" target="_blank" rel="noopener noreferrer">
              <div class="flex items-center justify-center p-1">
                <img [src]="'assets/'+social_network.name+'-logo.svg'" alt="logo+'social_network'" class="w-4 h-4">
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
